import request from '@/utils/request'

// 查询门店任务组列表
export function listStoreGroup(query) {
  return request({
    url: '/sfa/storeGroup/list',
    method: 'get',
    params: query
  })
}

// 查询门店任务组详细
export function getStoreGroup(storeGroupId) {
  return request({
    url: '/sfa/storeGroup/' + storeGroupId,
    method: 'get'
  })
}

// 新增门店任务组
export function addStoreGroup(data) {
  return request({
    url: '/sfa/storeGroup',
    method: 'post',
    data: data
  })
}

// 修改门店任务组
export function updateStoreGroup(data) {
  return request({
    url: '/sfa/storeGroup',
    method: 'put',
    data: data
  })
}

// 删除门店任务组
export function delStoreGroup(storeGroupId) {
  return request({
    url: '/sfa/storeGroup/' + storeGroupId,
    method: 'delete'
  })
}
